Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Namespaces | Macros | Typedefs
dense_mem_array.hpp File Reference
`#include <osmium/index/detail/vector_map.hpp>`
`#include <vector>`
Include dependency graph for dense_mem_array.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | osmium
| Namespace for everything in the Osmium library.
namespace | osmium::index
| Indexing of OSM data, Locations, etc.
namespace | osmium::index::map
| Key-value containers with unique integer values for a key.

## Macros
#define | OSMIUM_HAS_INDEX_MAP_DENSE_MEM_ARRAY

## Typedefs
template<typename TId , typename TValue >
using | osmium::index::map::DenseMemArray = VectorBasedDenseMap<std::vector<TValue>, TId, TValue>

## Macro Definition Documentation

## ◆ OSMIUM_HAS_INDEX_MAP_DENSE_MEM_ARRAY

#define OSMIUM_HAS_INDEX_MAP_DENSE_MEM_ARRAY